Subject: RE: WG Review: IPv6 Operations (v6ops)

From: "Bound, Jim" <[email-masked]>
Date: Wed, 4 Sep 2002 23:18:28 -0400

also I do not consider 6to4 an LCD.  It is a custom solution for many users.  And a method that can be used by other mechanisms to work with.

/jim

> -----Original Message-----
> From: Bound, Jim 
> Sent: Wednesday, September 04, 2002 10:55 PM
> To: Brian E Carpenter; Fred L. Templin
> Cc: [email-masked]
> Subject: RE: WG Review: IPv6 Operations (v6ops)
> 
> 
> Brian,
> 
> > -----Original Message-----
> > From: Brian E Carpenter [mailto:[email-masked]]
> > Sent: Wednesday, September 04, 2002 7:00 AM
> > To: Fred L. Templin
> > Cc: [email-masked]
> > Subject: Re: WG Review: IPv6 Operations (v6ops)
> > 
> > 
> > "Fred L. Templin" wrote:
> > ...
> > > Summary - the wording in sections (1) and (7) seems to mandate
> > > lowest-common-denominator solutions and ignore solutions that
> > > provide a better fit.
> > 
> > It's hard to avoid special pleading (since the transition solution
> > with my name on it is in the list), but I do think that there 
> > is a strong
> > argument for concentrating on LCD solutions for the first wave.
> 
> Then stated it please Brian.  Your really not responding to 
> Fred's wording.
> The market wants special solutions like ISATAP, Teredo, and 
> DSTM and they are all being deployed by customers I know of 
> and will not share so no one ask.  Granted its trial networks 
> but that is how it starts.  An LCD solution is good but not 
> for all cases. Fred's car to minivan to truck is a perfect 
> analogy he sent out.  In my case I require a truck to haul my 
> guns and german shepherds around :--).  
> 
> That being said I am being silent on all of this because as 
> far as I am concerned ISATAP, Teredo, and DSTM all got 
> screwed by the IETF process after years of support and work 
> by the working group.  But that is OK because if we don't 
> continue this work in the v6ops group under some valid 
> assumption based on the charter definition I for one will go 
> do the work in the market and not in the IETF.  I don't know 
> how Christian and Fred feel but I know DSTM is being deployed 
> and we can create a defacto spec if necessary and move it 
> into the market.  I am not playing this game much longer.  
> Its absurd.  In fact its not just IPv6 transition.  Its in 
> many places of the IETF.
> 
> If someone finds technical flaws or problems in design of 
> specs thats cool and they have to debate and state and defend 
> their position.  But to just tell a working group and authors 
> "we just don't like it and its not needed" is hardly the IETF 
> process I have come to spend so much energy on because it is 
> completely unfair.  I won't put up with it and I think many 
> vendors won't put up with it.  We have enough momentum and 
> forums and lots of coordinated efforts in the industry now it 
> might be time to just by-pass the IETF and just go do it and 
> maybe that will give our process a wake up call.  Because one 
> is needed.
> 
> But I would really like to hear you technically defend or 
> even from market perspective why you believe the LCD is a good idea.
> 
> > 
> > We might contemplate a separate IETF activity for advanced 
> transition
> > solutions.
> 
> I don't think so.  We will just do it in the market thank you.
> 
> regards,
> /jim
> 
> > 
> >    Brian
> > 
> > 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 05 Sep 2002 12:11:16 +0200

> also I do not consider 6to4 an LCD.  It is a custom solution for many users.  And a method that can be used by other mechanisms to work with.

That's why I was concerned about special pleading, but 6to4 wasn't intended
as a custom solution, but as a general technique to help bootstrap IPv6 adoption.

Anyway look again at what I said (or meant to say). I think it's
appropriate to limit an ops WG to simple, hopefully universal, solutions
and it's also appropriate to work on advanced solutions *in their
own WG*. I think that's a win-win. If you look at the amount of
agenda time that DSTM, ISATAP or Teredo have been getting in NGTRANS
meetings recently you can see why they would be better in a separate
group. Just doing it in the market doesn't cut it for solutions that 
require host stacks to collaborate.

   Brian